update-software-center crashed with DBusException in __new__(): org.freedesktop.DBus.Error.FileNotFound: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory

Bug #1040311 reported by jerrylamos on 2012-08-22
92
This bug affects 19 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt

Bug Description

No clue. Had just installed Quantal 2012 08 21, installed LXDE and logged off Unity and onto LXDE and got this spontaneous error. I wasn't doing anything with the Software Center that I was aware of.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: software-center 5.3.8
ProcVersionSignature: Ubuntu 3.5.0-11.11-generic 3.5.2
Uname: Linux 3.5.0-11-generic i686
ApportVersion: 2.5.1-0ubuntu1
Architecture: i386
Date: Wed Aug 22 12:09:15 2012
ExecutablePath: /usr/share/software-center/update-software-center
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120822)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/sbin/update-software-center --triggered
ProcEnviron:
 TERM=unknown
 PATH=(custom, no user)
PythonArgs: ['/usr/sbin/update-software-center', '--triggered', '']
SourcePackage: software-center
Title: update-software-center crashed with DBusException in __new__(): org.freedesktop.DBus.Error.FileNotFound: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Related branches

jerrylamos (jerrylamos) wrote :
tags: removed: need-duplicate-check
Changed in software-center (Ubuntu):
importance: Undecided → Medium
jerrylamos (jerrylamos) wrote :

Also occurred on a fresh install today's daily build with Ubuntu Unity on Compaq 3.3 gHz.

security vulnerability: no → yes
visibility: private → public
Logan Rosen (logan) on 2012-08-23
security vulnerability: yes → no
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1040311

tags: added: iso-testing
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in software-center (Ubuntu):
status: New → Confirmed
Greg Faith (gregfaith) wrote :

Same bug I was doing nothing as well. Testing current daily build live CD session 20120822.

Adi Ratiu (adirat) wrote :

Just did a fresh install of quantal daily. The first thing I did was to install Ubuntu One and it crashed after entering my credentials (may be unrelated).

Rainer Rohde (rainer-rohde) wrote :

Crashed right after logging in...

Cody Smith (cody.smith) wrote :

Just thought I'd add that the USC is unuseable (crashes shortly after starting) and that is possibly related. as this is the USC getting the catalogue update.

Daniel (deaspo29) on 2012-08-26
Changed in software-center (Ubuntu):
assignee: nobody → Daniel (deaspo29)
description: updated
Changed in software-center:
assignee: nobody → Daniel (deaspo29)
Carla Sella (carla-sella) wrote :

Just did a fresh install of quantal daily 20120825. I had just rebooted after fresh install on my HP G62 lpatop and it crashed jsut after entering my credentials and before my desktop could completly load.
As my desktop did not load, had to reboot from command line.

critin (critin) wrote :

First run of new 8-27-12 image as Try Live (not installed) Had not done anything yet.

jerrylamos (jerrylamos) wrote :

Fresh Daily Build install 27 August
Apt-get update & upgrade
Linux Aspire1 3.5.0-12-generic #12-Ubuntu SMP Fri Aug 24 18:27:39 UTC 2012 i686 i686 i686 GNU/Linux

then got the topic error again. Not a showstopper.

Jerry

jerrylamos (jerrylamos) wrote :

Booted 27 August .iso live and got this error had only opened a terminal window, did a df and a umount, then closed.

Robin Catling (robinc) wrote :

Booted from Quantal daily 28/08/12; first boot into Unity desktop & got this bug before anything else happened

Hardware profile: https://wiki.edubuntu.org/robinc/Laptop/DellMM061

jerrylamos (jerrylamos) wrote :

Just starting install on 28 August Daily Build amd64 and got this error.

Michael Vogt (mvo) on 2012-08-29
tags: added: ca-escalated
Changed in software-center (Ubuntu):
status: Confirmed → In Progress
Michael Vogt (mvo) on 2012-08-29
Changed in software-center (Ubuntu):
assignee: Daniel (deaspo29) → Michael Vogt (mvo)
no longer affects: software-center
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.3.10

---------------
software-center (5.3.10) quantal; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/lp1034894:
    - Set the linked style class to the back and forward buttons as
      requested in bug #1034894.

  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-more-dep8,
    lp:~mvo/software-center/more-dep8-again:
    - additional set of updates to fix issues in the
      dep8/ADT test runs on jenkins
  * lp:~mvo/software-center/fix-chroot-lp1040311:
    - fix crash if there is no system dbus, this can
      happen e.g. when running inside a chroot
      environment (LP: #1040311)
  * lp:~mvo/software-center/recagent-test-cleanup:
    - consolidate code in test_recagent into common
      functions
  * lp:~mvo/software-center/lp1043152:
    - ensure that any white space is properly stripped from
      package lists received from the agent (LP: #1043152)
  * lp:~mvo/software-center/auto-fill-email-for-login:
    - allow auto-fill of the email in login.ubuntu.com if
      we have it (LP: #1042279)
  * tests/gtk3/test_unity_launcher_integration.py:
    - fix patching of softwarecenter.utils.is_unity_running
  * softwarecenter/ui/gtk3/views/purchaseview.py:
    - fix SEGV in tests/gtk3/test_purchase.py by initialising the
      parent object properly

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/recommender-panel-visual-tweaks:
    - add support for two sizes of spinner to the spinner widget and use
      the smaller one for the lobby/category screen panels
  * lp:~gary-lasker/software-center/update-to-latest-recommender-client:
    - update to the latest recommender client API from
      lp:~canonical-ca-hackers/ubuntu-recommender/ubuntu-recommender-client
      and replaces the deprecated recommend_me call with the new recommend_me
      call that includes the UUID
  * lp:~gary-lasker/software-center/recommender-unit-test-updates:
    - update unit test to accomodate the new subcategory that has been
      added to the themes and tweaks category
 -- Michael Vogt <email address hidden> Thu, 30 Aug 2012 10:22:58 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Robin Catling (robinc) wrote :

Hate to disappoint Gery, but booted and installed from Quantal daily 29/08/12; first boot into Unity desktop & still got this bug before anything else happened.

This is in a VM using Oracle VirtaulBox 4.2.0 r79756 Beta on hardware profile: https://wiki.edubuntu.org/robinc/Laptop/DellMM061

Robin Catling (robinc) wrote :

Further to #16 (sorry Gary, not Jerry) that's on today's 30Aug build downloaded 22.00GMT. RC

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers